Bug 497634 - (perl-App-Daemon) Review Request: perl-App-Daemon - Start an Application as a Daemon
Review Request: perl-App-Daemon - Start an Application as a Daemon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
http://search.cpan.org/dist/App-Daemon/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 08:02 EDT by Iain Arnell
Modified: 2010-04-19 19:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.06-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 03:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jan.klepek: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-25 08:02:45 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-App-Daemon.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-App-Daemon-0.06-1.fc12.src.rpm

Description:
App::Daemon helps running an application as a daemon.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1320265

*rt-0.06
Comment 1 Jan Klepek 2009-04-26 08:52:19 EDT
MUST: rpmlint must be run on every package. 
- OK

[makerpm@fetaciq result]$ rpmlint perl-App-Daemon-0.06-1.fc11.src.rpm perl-App-Daemon-0.06-1.fc11.noarch.rpm ~/rpmbuild/SPECS/perl-App-Daemon.spec 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.


MUST: The package must be named according to the Package Naming Guidelines
- OK

MUST: The spec file name must match the base package %{name}
- OK

MUST: The package must meet the Packaging Guidelines
- OK

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
- OK

MUST: The License field in the package spec file must match the actual license. 
- OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file
- OK, no license file present

MUST: The spec file must be written in American English.
- OK

MUST: The spec file for the package MUST be legible.
- OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. 
- OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
- OK

MUST: If the package does not successfully compile, build or work on an architecture...
- OK

MUST: All build dependencies must be listed in BuildRequires
- OK

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. 
- OK, no locales

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
- OK

MUST: If the package is designed to be relocatable....
- OK, not relocatable

MUST: A package must own all directories that it creates. 
- OK

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. 
- OK

MUST: Permissions on files must be set properly. 
- OK

MUST: Each package must have a %clean section...
- OK

MUST: Each package must consistently use macros.
- OK

MUST: The package must contain code, or permissable content.
-OK 

MUST: Large documentation files must go in a -doc subpackage. 
- OK

MUST: If a package includes something as %doc, it must not affect the runtime of the application. 
- OK

MUST: Header files must be in a -devel package.
- OK, no header files

MUST: Static libraries must be in a -static package.
- OK, no static package

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
- OK, no .pc files

MUST: If a package contains library files with a suffix, then library files that end in .so (without suffix) must go in a -devel package.
- OK, no .so library 

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
- OK, no devel package

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
-OK, no libtool archives

MUST: Packages containing GUI applications must include a %{name}.desktop file, 
-OK, no GUI

MUST: Packages must not own files or directories already owned by other packages. 
- OK, perl package

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [25]
- OK

MUST: All filenames in rpm packages must be valid UTF-8. 
- OK

Conclusion: Looks OK, I would rather to have double checking from somebody else as I'm doing review for perl package for first time.

should we put perl-sig mailing list into CC?
Comment 2 Iain Arnell 2009-04-28 03:06:19 EDT
Thanks - that's a very comprehensive review. There are a couple of gotchas with perl packages that aren't directly covered by the review guidelines, though - just implied by the perl packaging guidelines.

Since most perl packages come with a comprehensive test suite, it is policy to run as much of the suite as possible. Reviewers will usually check this and point out any skipped/failed tests due to missing build dependencies. In this case, you can see from the mock build.log that all tests ran and passed:

t/001Basic.t ... ok
t/002Params.t .. ok
All tests successful.
Files=2, Tests=8,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.28 cusr  0.03 csys =  0.34 CPU)
Result: PASS

And unfortunately, RPM's dependency generator sometimes misses (or adds unnecessary) requires or provides. Again, reviewers will usually mention that they have checked them.  In this case, they look reasonable to me (but the point of the review is that they look reasonable to someone else, too):

rpm -qp --provides perl-App-Daemon-0.06-1.fc11.noarch.rpm
perl(App::Daemon) = 0.06
perl-App-Daemon = 0.06-1.fc11

rpm -qp --requires perl-App-Daemon-0.06-1.fc11.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Exporter)  
perl(Fcntl)  
perl(File::Basename)  
perl(Getopt::Std)  
perl(Log::Log4perl)  
perl(POSIX)
perl(Pod::Usage)  
perl(Proc::ProcessTable)  
perl(strict)  
perl(warnings)
Comment 3 Jan Klepek 2009-04-29 02:05:16 EDT
requires seems reasonable for me, I have compared it with modules which are used in Daemon.pm and it fits.

Ok, i didn't find anything wrong (except that Log::Log4perl is required two times in source code, but this imho doesn't affect runtime)

APPROVED
Comment 4 Iain Arnell 2009-04-29 02:41:03 EDT
New Package CVS Request
=======================
Package Name: perl-App-Daemon
Short Description: Start an Application as a Daemon
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-04-30 00:49:11 EDT
cvs done.
Comment 6 Fedora Update System 2009-04-30 03:34:26 EDT
perl-App-Daemon-0.06-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-App-Daemon-0.06-1.fc11
Comment 7 Fedora Update System 2009-04-30 03:34:31 EDT
perl-App-Daemon-0.06-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-App-Daemon-0.06-1.fc10
Comment 8 Iain Arnell 2009-04-30 03:36:46 EDT
Thanks for the review! :-)
Comment 9 Fedora Update System 2009-05-09 00:00:10 EDT
perl-App-Daemon-0.06-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-09 00:07:31 EDT
perl-App-Daemon-0.06-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Iain Arnell 2010-03-26 00:00:33 EDT
Package Change Request
======================
Package Name: perl-App-Daemon
New Branches: EL-4 EL-5
Owners: iarnell
InitialCC: perl-sig
Comment 12 Kevin Fenzi 2010-03-30 17:28:12 EDT
cvs done.
Comment 13 Fedora Update System 2010-03-30 23:48:36 EDT
perl-App-Daemon-0.08-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-App-Daemon-0.08-2.el5
Comment 14 Fedora Update System 2010-04-19 19:22:48 EDT
perl-App-Daemon-0.08-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.